Chamfer and Loft not good

Post here for help on using FreeCAD's graphical user interface (GUI).
Forum rules
and Helpful information
IMPORTANT: Please click here and read this first, before asking for help

Also, be nice to others! Read the FreeCAD code of conduct!
freecad-heini-1
Posts: 7620
Joined: Tue Jan 07, 2014 11:10 am
Contact:

Re: Chamfer and Loft not good

Post by freecad-heini-1 »

I know that thickness and fillets are not very strong in Freecad, but I would like to relativize that. Thickness often doesn't work because of the radii. Therefore I recommend a different procedure for such housings. In the Part Workbench you can extrude a sketch with a slant, in Part Design you have to add the slant as an extra construction element. You sketch a rectangle, you extrud it with a slant, everything without radii. Then the floor surface is hollowed out. Then round off the inner edges. Then first the outer, inner radius puls wall thickness. In many cases this works without problems.
By the way, Freecad is not to blame, because the weak radius function is caused by OpenCascade.

Translated with www.DeepL.com/Translator
SvenGoord
Posts: 63
Joined: Sun Feb 17, 2019 8:15 pm

Re: Chamfer and Loft not good

Post by SvenGoord »

freecad-heini-1 wrote: Fri Jun 21, 2019 3:55 pm In the Part Workbench you can extrude a sketch with a slant
I will try that thank you.
freecad-heini-1 wrote: Fri Jun 21, 2019 3:55 pm Freecad is not to blame, because the weak radius function is caused by OpenCascade.
I was not to blame Freecad but wanted to find help here as better place.

I have made a different way and looks ok. I made solid cube block with cube hollow. I chamfered inside top plane almost to bottom edge then outside top plane similar for good thickness. Then round corners and it looks good ok. Some extra lines seen in Freecad but prints much better.
I am taking EASL at night to make my English better. I use VPN for USA better searching
chrisb
Posts: 37831
Joined: Tue Mar 17, 2015 9:14 am

Re: Chamfer and Loft not good

Post by chrisb »

The problem is still the construction itself where top and base use the same radii while they should be bigger at the base - or smaller at the top. OCC can't to better then the source model is.
A Sketcher Lecture with in-depth information is available in English, auf Deutsch, en français, en español.
SvenGoord
Posts: 63
Joined: Sun Feb 17, 2019 8:15 pm

Re: Chamfer and Loft not good

Post by SvenGoord »

chrisb wrote: Sat Jun 22, 2019 12:46 am The problem is still the construction itself where top and base use
But I want equal on that corner and not what software wants so should make it allowed.
I am taking EASL at night to make my English better. I use VPN for USA better searching
SvenGoord
Posts: 63
Joined: Sun Feb 17, 2019 8:15 pm

Re: Chamfer and Loft not good

Post by SvenGoord »

chrisb wrote: Sat Jun 22, 2019 12:46 am The problem is still the construction itself where top and base use the same radii.
No not as fillet works prefect with straight line inside and outside. Look at first file I have both fillet straight chamfer not straight.

Corner up and down can be same radius if I want to use fillet but not good for chamfer.
I am taking EASL at night to make my English better. I use VPN for USA better searching
chrisb
Posts: 37831
Joined: Tue Mar 17, 2015 9:14 am

Re: Chamfer and Loft not good

Post by chrisb »

You are right, it is surprising. I'm afraid it has to do with the side conditions, which are tangency for fillets and somehow equal angles for chamfers. The latter seem to be impossible to be met with keeping straight lines.
A Sketcher Lecture with in-depth information is available in English, auf Deutsch, en français, en español.
chrisb
Posts: 37831
Joined: Tue Mar 17, 2015 9:14 am

Re: Chamfer and Loft not good

Post by chrisb »

Based on the filletted body I can use ruled surfaces to create a nice filleted shape. Alas, I don't know how to create a solid from this.
Bildschirmfoto 2019-06-22 um 23.47.12.png
Bildschirmfoto 2019-06-22 um 23.47.12.png (23.85 KiB) Viewed 575 times
I remember bejant having done fancy things with ruled surface, perhaps he can help:
bejant wrote:ping
Attachments
loft-01_cb.FCStd
(156.86 KiB) Downloaded 18 times
A Sketcher Lecture with in-depth information is available in English, auf Deutsch, en français, en español.
chrisb
Posts: 37831
Joined: Tue Mar 17, 2015 9:14 am

Re: Chamfer and Loft not good

Post by chrisb »

I found a non-parametric way based on the filleted object:
- Draft->Downgrade
- Delete the fillet faces
- add ruled surfaces instead
- make a compound of all faces
- Part->Convert to solid
Attachments
loft-01_cb2.FCStd
(228.64 KiB) Downloaded 10 times
A Sketcher Lecture with in-depth information is available in English, auf Deutsch, en français, en español.
User avatar
bejant
Posts: 6075
Joined: Thu Jul 11, 2013 3:06 pm

Re: Chamfer and Loft not good

Post by bejant »

chrisb wrote: Sat Jun 22, 2019 9:50 pm perhaps he can help:
I used the Part WB > ShapeBuilder tool to create a Shell from the Faces, then again to create a Solid from Shell.

Shell and Solid both fail Check Geometry, but a .stl made from it still might 3D print.


20190622a-Part_ShapeBuilder.FCStd
(274.41 KiB) Downloaded 12 times


OS: Ubuntu 18.04.2 LTS
Word size of OS: 32-bit
Word size of FreeCAD: 32-bit
Version: 0.18.1.
Build type: Release
Python version: 3.6.7
Qt version: 5.9.5
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/UnitedStates (en_US)
TheMarkster
Posts: 2724
Joined: Thu Apr 05, 2018 1:53 am

Re: Chamfer and Loft not good

Post by TheMarkster »

bejant wrote: Sat Jun 22, 2019 10:17 pm
I used the Part WB > ShapeBuilder tool to create a Shell from the Faces, then again to create a Solid from Shell.

Shell and Solid both fail Check Geometry, but a .stl made from it still might 3D print.
It passes with RunBOPCheck disabled, so I think it's probably fine.

By the way, I made a tiny macro to quickly and easily enable/disable RunBOPCheck.

Code: Select all

import FreeCAD
prefs = FreeCAD.ParamGet("User parameter:BaseApp/Preferences/Mod/Part/CheckGeometry")
if prefs.GetBool("RunBOPCheck"):
    prefs.SetBool("RunBOPCheck",0)
    print("RunBOPCheck is disabled\n")
    FreeCAD.Console.PrintMessage("RunBOPCheck is disabled\n")
else:
    prefs.SetBool("RunBOPCheck",1)
    print("RunBOPCheck is enabled\n")
    FreeCAD.Console.PrintMessage("RunBOPCheck is enabled\n")
My FreeCAD video series on youtube: https://www.youtube.com/c/mwganson
Post Reply